Package org.apache.sysds.resource.enumeration

# Class EnumerationUtils.ConfigurationPoint

java.lang.Object
org.apache.sysds.resource.enumeration.EnumerationUtils.ConfigurationPoint

Direct Known Subclasses:
  `EnumerationUtils.SolutionPoint`

Enclosing class:
  EnumerationUtils

public static class EnumerationUtils.ConfigurationPoint extends Object
Simple data structure to hold cluster configurations

## Field Summary

Fields
Modifier and Type
Field
Description
`CloudInstance`
`driverInstance`
`CloudInstance`
`executorInstance`
`int`
`numberExecutors`

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationPoint(CloudInstance driverInstance)`
`ConfigurationPoint(CloudInstance driverInstance, CloudInstance executorInstance, int numberExecutors)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### driverInstance

public CloudInstance driverInstance

### executorInstance

public CloudInstance executorInstance

### numberExecutors

public int numberExecutors

## Constructor Details

### ConfigurationPoint

public ConfigurationPoint(CloudInstance driverInstance)

### ConfigurationPoint

public ConfigurationPoint(CloudInstance driverInstance, CloudInstance executorInstance, int numberExecutors)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`